OpenTTD Source: SlIndustryProduced Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Member Functions | Static Public Attributes
SlIndustryProduced Class Reference
Inheritance diagram for SlIndustryProduced:

## Public Member Functions
std::vector< Industry::ProducedCargo > & | GetVector (Industry *i) const override
| Get instance of vector to load/save.
Public Member Functions inherited from VectorSaveLoadHandler< SlIndustryProduced, Industry, Industry::ProducedCargo, INDUSTRY_NUM_OUTPUTS >
virtual size_t | GetLength () const
| Get number of elements to load into vector.
void | Save (Industry *object) const override
void | Load (Industry *object) const override
Public Member Functions inherited from DefaultSaveLoadHandler< TImpl, TObject >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save (TObject *object) const
void | Save (void *object) const override
| Save the object to disk.
virtual void | Load (TObject *object) const
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (TObject *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (TObject *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Member Functions
static void | ResetOldStructure ()

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _industry_produced_sl_compat
static std::array< CargoType, INDUSTRY_NUM_OUTPUTS > | old_cargo
static std::array< uint16_t, INDUSTRY_NUM_OUTPUTS > | old_waiting
static std::array< uint8_t, INDUSTRY_NUM_OUTPUTS > | old_rate
static std::array< uint16_t, INDUSTRY_NUM_OUTPUTS > | old_this_month_production
static std::array< uint16_t, INDUSTRY_NUM_OUTPUTS > | old_this_month_transported
static std::array< uint16_t, INDUSTRY_NUM_OUTPUTS > | old_last_month_production
static std::array< uint16_t, INDUSTRY_NUM_OUTPUTS > | old_last_month_transported

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 118 of file industry_sl.cpp.

## Member Function Documentation

## ◆ GetVector()

std::vector< Industry::ProducedCargo > & SlIndustryProduced::GetVector | ( | Industry * | object | ) | const
| inlineoverridevirtual

Get instance of vector to load/save.

Parameters

  object | Object containing vector.

Returns
  Vector to load/save.

Implements VectorSaveLoadHandler< SlIndustryProduced, Industry, Industry::ProducedCargo, INDUSTRY_NUM_OUTPUTS >.

Definition at line 128 of file industry_sl.cpp.

References Industry::produced.

## ◆ ResetOldStructure()

static void SlIndustryProduced::ResetOldStructure | ( |  | ) |
| inlinestatic

Definition at line 139 of file industry_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlIndustryProduced::compat_description = _industry_produced_sl_compat
| inlinestatic

Definition at line 126 of file industry_sl.cpp.

## ◆ description

const SaveLoad SlIndustryProduced::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(Industry::ProducedCargo, cargo, SLE_UINT8),
SLE_VAR(Industry::ProducedCargo, waiting, SLE_UINT16),
SLE_VAR(Industry::ProducedCargo, rate, SLE_UINT8),
SLEG_STRUCTLIST("history", SlIndustryProducedHistory),
}
SlIndustryProducedHistory
Definition industry_sl.cpp:84
SLEG_STRUCTLIST
#define SLEG_STRUCTLIST(name, handler)
Storage of a list of structs in every savegame version.
Definition saveload.h:1256
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017
Industry::ProducedCargo
Definition industry.h:73

Definition at line 120 of file industry_sl.cpp.

## ◆ old_cargo

std::array<CargoType, INDUSTRY_NUM_OUTPUTS> SlIndustryProduced::old_cargo
| inlinestatic

Definition at line 131 of file industry_sl.cpp.

## ◆ old_last_month_production

std::array<uint16_t, INDUSTRY_NUM_OUTPUTS> SlIndustryProduced::old_last_month_production
| inlinestatic

Definition at line 136 of file industry_sl.cpp.

## ◆ old_last_month_transported

std::array<uint16_t, INDUSTRY_NUM_OUTPUTS> SlIndustryProduced::old_last_month_transported
| inlinestatic

Definition at line 137 of file industry_sl.cpp.

## ◆ old_rate

std::array<uint8_t, INDUSTRY_NUM_OUTPUTS> SlIndustryProduced::old_rate
| inlinestatic

Definition at line 133 of file industry_sl.cpp.

## ◆ old_this_month_production

std::array<uint16_t, INDUSTRY_NUM_OUTPUTS> SlIndustryProduced::old_this_month_production
| inlinestatic

Definition at line 134 of file industry_sl.cpp.

## ◆ old_this_month_transported

std::array<uint16_t, INDUSTRY_NUM_OUTPUTS> SlIndustryProduced::old_this_month_transported
| inlinestatic

Definition at line 135 of file industry_sl.cpp.

## ◆ old_waiting

std::array<uint16_t, INDUSTRY_NUM_OUTPUTS> SlIndustryProduced::old_waiting
| inlinestatic

Definition at line 132 of file industry_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/industry_sl.cpp